--- a/configure.in
+++ b/configure.in
@@ -107,10 +107,13 @@
 dnl **************************************************
 GNUTLS_MIN_VERSION=1.0.17
 
-PKG_CHECK_MODULES([LIBGNUTLS], [gnutls >= $GNUTLS_MIN_VERSION], [],
-                  [AM_PATH_LIBGNUTLS($GNUTLS_MIN_VERSION, enable_gnutls=yes, enable_gnutls=no)])
-
-AC_CHECK_HEADER(gnutls/gnutls.h, enable_gnutls=yes, enable_gnutls=no)
+AC_ARG_ENABLE(gnutls, AC_HELP_STRING(--enable-gnutls, Define whether GnuTLS provides gnutls_hash_get_len function), , enable_gnutls="yes")
+if test x$enable_gnutls = xyes; then
+	PKG_CHECK_MODULES([LIBGNUTLS], [gnutls >= $GNUTLS_MIN_VERSION], [],
+	                  [AM_PATH_LIBGNUTLS($GNUTLS_MIN_VERSION, enable_gnutls=yes, enable_gnutls=no)])
+	
+	AC_CHECK_HEADER(gnutls/gnutls.h, enable_gnutls=yes, enable_gnutls=no)
+fi
 
 if test x$enable_gnutls = xyes; then
         AC_DEFINE_UNQUOTED(HAVE_GNUTLS, , Tell whether GnuTLS is available for TCP-TLS support)
@@ -125,8 +128,12 @@
 dnl * Check for libICU                               *
 dnl **************************************************
 
-PKG_CHECK_MODULES([ICU], [icu >= 3.0], [enable_icu=yes],
-                  [AC_CHECK_ICU(3.8, enable_icu=yes, enable_icu=no)])
+AC_ARG_ENABLE(icu, AC_HELP_STRING(--enable-icu, Tell whether libicu is available for encoding convertion), , enable_icu="yes")
+
+if test x$enable_icu = xyes; then
+	PKG_CHECK_MODULES([ICU], [icu >= 3.0], [enable_icu=yes],
+        	          [AC_CHECK_ICU(3.8, enable_icu=yes, enable_icu=no)])
+fi
 if test x$enable_icu = xyes; then
         AC_DEFINE_UNQUOTED(HAVE_LIBICU, , Tell whether libicu is available for encoding convertion)
 fi
